ON_UserData Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_userdata.h>`

Inheritance diagram for ON_UserData:

## Public Member Functions

| ON_UserData ()
| ON_UserData (const ON_UserData &)
ON_UserData & | operator= (const ON_UserData &)
| ~ON_UserData ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &text_log) const
unsigned int | SizeOf () const
ON_Object * | Owner () const
ON_UserData * | Next () const
ON_UUID | UserDataClassUuid () const
ON_BOOL32 | IsUnknownUserData () const
virtual ON_BOOL32 | GetDescription (ON_wString &description)
virtual ON_BOOL32 | Archive () const
virtual ON_BOOL32 | Transform (const ON_Xform &)
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
virtual ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_UUID | m_userdata_uuid
ON_UUID | m_application_uuid
unsigned int | m_userdata_copycount
ON_Xform | m_userdata_xform

## Friends

class | ON_Object
int | ON_BinaryArchive::ReadObject (ON_Object **)
bool | ON_BinaryArchive::WriteObject (const ON_Object &)
bool | ON_BinaryArchive::ReadObjectUserData (ON_Object &)
bool | ON_BinaryArchive::WriteObjectUserData (const ON_Object &)

## Detailed Description

Definition at line 20 of file opennurbs_userdata.h.

## Constructor & Destructor Documentation

## ON_UserData() [1/2]

ON_UserData::ON_UserData | ( |  | ) |

## ON_UserData() [2/2]

ON_UserData::ON_UserData | ( | const ON_UserData & |  | ) |

## ~ON_UserData()

ON_UserData::~ON_UserData | ( |  | ) |

## Member Function Documentation

## Archive()

virtual ON_BOOL32 ON_UserData::Archive | ( |  | ) | const

virtual

Reimplemented in ON_UserStringList, ON_UnknownUserData, ON_DimensionExtra, and ON_TextExtra.

## Dump()

void ON_UserData::Dump | ( | ON_TextLog & | text_log | ) | const

virtual

Reimplemented from ON_Object.

Reimplemented in ON_UserStringList, and ON_UnknownUserData.

## GetDescription()

virtual ON_BOOL32 ON_UserData::GetDescription | ( | ON_wString & | description | ) |

virtual

Reimplemented in ON_UserStringList, ON_DimensionExtra, ON_TextExtra, and ON_UnknownUserData.

## IsUnknownUserData()

ON_BOOL32 ON_UserData::IsUnknownUserData | ( |  | ) | const

## IsValid()

ON_BOOL32 ON_UserData::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

Reimplemented in ON_UnknownUserData.

## Next()

ON_UserData* ON_UserData::Next | ( |  | ) | const

## operator=()

ON_UserData& ON_UserData::operator= | ( | const ON_UserData & |  | ) |

## Owner()

ON_Object* ON_UserData::Owner | ( |  | ) | const

## SizeOf()

unsigned int ON_UserData::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_Object.

Reimplemented in ON_UserStringList, and ON_UnknownUserData.

## Transform()

virtual ON_BOOL32 ON_UserData::Transform | ( | const ON_Xform & |  | ) |

virtual

## UserDataClassUuid()

ON_UUID ON_UserData::UserDataClassUuid | ( |  | ) | const

## Friends And Related Function Documentation

## ON_BinaryArchive::ReadObject

int ON_BinaryArchive::ReadObject | ( | ON_Object ** |  | ) |

friend

## ON_BinaryArchive::ReadObjectUserData

bool ON_BinaryArchive::ReadObjectUserData | ( | ON_Object & |  | ) |

friend

## ON_BinaryArchive::WriteObject

bool ON_BinaryArchive::WriteObject | ( | const ON_Object & |  | ) |

friend

## ON_BinaryArchive::WriteObjectUserData

bool ON_BinaryArchive::WriteObjectUserData | ( | const ON_Object & |  | ) |

friend

## ON_Object

friend class ON_Object

friend

Definition at line 186 of file opennurbs_userdata.h.

## Member Data Documentation

## m_application_uuid

ON_UUID ON_UserData::m_application_uuid

Definition at line 161 of file opennurbs_userdata.h.

## m_userdata_copycount

unsigned int ON_UserData::m_userdata_copycount

Definition at line 170 of file opennurbs_userdata.h.

## m_userdata_uuid

ON_UUID ON_UserData::m_userdata_uuid

Definition at line 151 of file opennurbs_userdata.h.

## m_userdata_xform

ON_Xform ON_UserData::m_userdata_xform

Definition at line 179 of file opennurbs_userdata.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_userdata.h